deviceManagementTemplate の作成

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい deviceManagementTemplate オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

POST /deviceManagement/templates
POST /deviceManagement/templates/{deviceManagementTemplateId}/migratableTo

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、deviceManagementTemplate オブジェクトの JSON 表記を指定します。

次の表に、deviceManagementTemplate を作成するときに必要なプロパティを示します。

プロパティ 説明
id String テンプレート ID
displayName String テンプレートの表示名
description String テンプレートの説明
versionInfo String テンプレートのバージョン情報
isDeprecated Boolean テンプレートは非推奨か、非推奨です。 非推奨のテンプレートからインテントを作成することはできません。
intentCount Int32 このテンプレートから作成されたインテントの数。
templateType deviceManagementTemplateType テンプレートの種類。 可能な値は、securityBaselinespecializedDevicesadvancedThreatProtectionSecurityBaselinedeviceConfigurationcustomsecurityTemplatemicrosoftEdgeSecurityBaselinemicrosoftOffice365ProPlusSecurityBaselinedeviceCompliancedeviceConfigurationForOffice365cloudPCfirewallSharedSettings です。
platformType policyPlatformType テンプレートのプラットフォーム。 可能な値は、androidandroidForWorkiOSmacOSwindowsPhone81windows81AndLaterwindows10AndLaterandroidWorkProfilewindows10XProfileall です。
templateSubtype deviceManagementTemplateSubtype テンプレートのサブタイプ。 可能な値は、nonefirewalldiskEncryptionattackSurfaceReductionendpointDetectionReponseaccountProtectionantivirusfirewallSharedAppListfirewallSharedIpListfirewallSharedPortlist です。
publishedDateTime DateTimeOffset テンプレートが発行された場合

応答

成功した場合、このメソッドは応答コードと、応答本文の 201 Created deviceManagementTemplate オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/templates
Content-type: application/json
Content-length: 405

{
  "@odata.type": "#microsoft.graph.deviceManagementTemplate",
  "displayName": "Display Name value",
  "description": "Description value",
  "versionInfo": "Version Info value",
  "isDeprecated": true,
  "intentCount": 11,
  "templateType": "specializedDevices",
  "platformType": "androidForWork",
  "templateSubtype": "firewall",
  "publishedDateTime": "2016-12-31T23:58:16.1180489-08:00"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 454

{
  "@odata.type": "#microsoft.graph.deviceManagementTemplate",
  "id": "edd764ca-64ca-edd7-ca64-d7edca64d7ed",
  "displayName": "Display Name value",
  "description": "Description value",
  "versionInfo": "Version Info value",
  "isDeprecated": true,
  "intentCount": 11,
  "templateType": "specializedDevices",
  "platformType": "androidForWork",
  "templateSubtype": "firewall",
  "publishedDateTime": "2016-12-31T23:58:16.1180489-08:00"
}